summaryrefslogtreecommitdiffstats
path: root/jjb/fuel/fuel-deploy.sh
diff options
context:
space:
mode:
authorFatih Degirmenci <fatih.degirmenci@ericsson.com>2015-10-05 09:30:41 +0200
committerFatih Degirmenci <fatih.degirmenci@ericsson.com>2015-10-05 09:31:49 +0200
commit3e6f490c383798df22c208e5bb92a06a4c906827 (patch)
tree85ea96c3df1398158ff67ee6bf7c3d3b4f354b58 /jjb/fuel/fuel-deploy.sh
parent2f1767a3c0467237761ebe0b26697297ec51b0c2 (diff)
Enable fuel daily runs on POD2
Change-Id: Iad31f257d1198e9730ea0db68a18737009c00a95 Signed-off-by: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
Diffstat (limited to 'jjb/fuel/fuel-deploy.sh')
-rwxr-xr-xjjb/fuel/fuel-deploy.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/jjb/fuel/fuel-deploy.sh b/jjb/fuel/fuel-deploy.sh
new file mode 100755
index 000000000..4d7a9b9c5
--- /dev/null
+++ b/jjb/fuel/fuel-deploy.sh
@@ -0,0 +1,49 @@
+#!/bin/bash
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# source the file so we get OPNFV vars
+source latest.properties
+
+# echo the info about artifact that is used during the deployment
+echo "Using $(echo $OPNFV_ARTIFACT_URL | cut -d'/' -f4) for deployment"
+
+# create TMPDIR if it doesn't exist
+export TMPDIR=$HOME/tmpdir
+[[ -d $TMPDIR ]] || mkdir -p $TMPDIR
+
+# change permissions down to TMPDIR
+chmod a+x $HOME
+chmod a+x $TMPDIR
+
+# set CONFDIR, BRIDGE
+export CONFDIR=$WORKSPACE/fuel/deploy/templates/hardware_environment/conf/linux_foundation_lab/pod2
+export BRIDGE=pxebr
+
+# clone genesis repo and checkout the SR1 tag
+echo "Cloning genesis repo"
+cd $WORKSPACE
+git clone https://gerrit.opnfv.org/gerrit/p/genesis.git genesis
+cd genesis
+git checkout arno.2015.2.0
+
+# cleanup first
+sudo $WORKSPACE/genesis/common/ci/clean.sh -base_config $WORKSPACE/genesis/foreman/ci/inventory/lf_pod2_ksgen_settings.yml
+
+# prepare for Fuel Deployment
+sudo $WORKSPACE/genesis/common/ci/setup.sh
+
+# log info to console
+echo "Starting the deployment using $INSTALLER. This could take some time..."
+echo "--------------------------------------------------------"
+echo
+
+# start the deployment
+echo "Issuing command"
+echo "sudo $WORKSPACE/fuel/ci/deploy.sh -iso $WORKSPACE/opnfv.iso -dea $CONFDIR/dea.yaml -dha $CONFDIR/dha.yaml -s $TMPDIR -b $BRIDGE -nh"
+sudo $WORKSPACE/fuel/ci/deploy.sh -iso $WORKSPACE/opnfv.iso -dea $CONFDIR/dea.yaml -dha $CONFDIR/dha.yaml -s $TMPDIR -b $BRIDGE -nh
+
+echo
+echo "--------------------------------------------------------"
+echo "Done!"